Results 1 to 10 of 15

Thread: Chrome is out of date and can't be updated

Hybrid View

  1. #1
    Join Date
    Aug 2011
    Beans
    208
    Distro
    Ubuntu 12.04 Precise Pangolin

    Question Chrome is out of date and can't be updated

    I am using Google Chrome and numerous sites have told me that it is out of date. I've tried updating through the command line and through the Update Manager, but neither has shown any updates for the browser. I even went to Google and manually downloaded and installed the "latest" version they had, but that was the same version I'm already using.

    I am currently running Version 23.0.1271.97. I have the ppa in the Software Sources (http://dl.google.com/linux/chrome/deb/stable). I am running 12.04 (32-bit).

    The following sites have given me a message:
    • Kindle Cloud App: Refused to open because I "not running a supported browser" even though Chrome is supported.
    • Google Drive (Docs): Says I'm running an outdated version of Chrome and some features may not work.
    • Wordpress: Tells me new features won't work well with this version of Chrome and that I should update.


    Can anyone please help me?
    He's watching you . . .
    WARNING: You are in the presence of a n00b. Stupid questions can and will be asked.
    "Better the pain of hard work than the pain of regret."

  2. #2
    dino99's Avatar
    dino99 is offline Ubuntu addict and loving it
    Join Date
    Jun 2006
    Location
    Nux Jam
    Beans
    Hidden!
    Distro
    Ubuntu Development Release

    Re: Chrome is out of date and can't be updated

    chrome is not supported here; ask on the related fora

    ubuntu have chromium in the repository; you can install it:

    sudo apt-get install chromium-browser

  3. #3
    Join Date
    Sep 2011
    Beans
    457

    Re: Chrome is out of date and can't be updated

    Kind of obvious that those other programs/apps/sites don't support chrome and that's your main issue. I'd say those programs/apps/sites suck but I personally use word press quite a bit

    try Firefox and use chrome for everything else

  4. #4
    Join Date
    Feb 2010
    Location
    WI USA
    Beans
    9,785
    Distro
    Ubuntu 14.04 Trusty Tahr

    Re: Chrome is out of date and can't be updated

    Considering one of the sites is a Google service I find this strange, so I have to ask if you use any ad or script blocking extensions ? If not see the last post.
    Infinite diversity in infinite combination.

    Ubuntu Documentation Search: Popular Pages
    Ubuntu: Security Basics
    Ubuntu: Manual

  5. #5
    Join Date
    Dec 2007
    Location
    Bombay
    Beans
    5,470
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: Chrome is out of date and can't be updated

    Quote Originally Posted by Frogs Hair View Post
    Considering one of the sites is a Google service I find this strange, so I have to ask if you use any ad or script blocking extensions ? If not see the last post.
    ^^^ also a very likely possibility. Do try accessing those sites with all extensions disabled (chrome://chrome/extensions/).
    de gustibus et coloribus non est disputandum -- Wiktionary

  6. #6
    Join Date
    Dec 2007
    Location
    Bombay
    Beans
    5,470
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: Chrome is out of date and can't be updated

    And just to be sure, could you put up the information you see when you enter chrome://version/ in the address bar and hit enter? Please use code tags for clarity.
    de gustibus et coloribus non est disputandum -- Wiktionary

  7. #7
    Join Date
    Dec 2007
    Location
    Bombay
    Beans
    5,470
    Distro
    Lubuntu 14.04 Trusty Tahr

    Re: Chrome is out of date and can't be updated

    You're perfectly welcome to ask whatever you like about Chrome here.

    The latest version for Linux is 23.0.1271.97 which is what you have.
    Source: http://googlechromereleases.blogspot...el-update.html

    The following sites have given me a message:
    Kindle Cloud App: Refused to open because I "not running a supported browser" even though Chrome is supported.
    Google Drive (Docs): Says I'm running an outdated version of Chrome and some features may not work.
    Wordpress: Tells me new features won't work well with this version of Chrome and that I should update.
    Of the three sites, I use Google Drive on a daily basis and do not see the warning you see.

    May I suggest you look at the advice relating to Linux here: Create a new browser user profile? It's possible that your profile has somehow got corrupted.

    Could you be more specific about the Wordpress matter? Do you have trouble viewing Word Press blogs? I just visited wordpress.com. At what point do you get the caution that new features won't work well ...?

    Edit: you can also ask for help here: http://productforums.google.com/foru...s/chrome/linux if you log in with your Google account.
    Last edited by vasa1; January 2nd, 2013 at 05:01 PM.
    de gustibus et coloribus non est disputandum -- Wiktionary

Tags for this Thread

Bookmarks

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •